package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.WorkerLevel;

/**
 * 师傅等级配置Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IWorkerLevelService 
{
    /**
     * 查询师傅等级配置
     * 
     * @param id 师傅等级配置主键
     * @return 师傅等级配置
     */
    public WorkerLevel selectWorkerLevelById(Long id);

    /**
     * 查询师傅等级配置列表
     * 
     * @param workerLevel 师傅等级配置
     * @return 师傅等级配置集合
     */
    public List<WorkerLevel> selectWorkerLevelList(WorkerLevel workerLevel);

    /**
     * 新增师傅等级配置
     * 
     * @param workerLevel 师傅等级配置
     * @return 结果
     */
    public int insertWorkerLevel(WorkerLevel workerLevel);

    /**
     * 修改师傅等级配置
     * 
     * @param workerLevel 师傅等级配置
     * @return 结果
     */
    public int updateWorkerLevel(WorkerLevel workerLevel);

    /**
     * 批量删除师傅等级配置
     * 
     * @param ids 需要删除的师傅等级配置主键集合
     * @return 结果
     */
    public int deleteWorkerLevelByIds(Long[] ids);

    /**
     * 删除师傅等级配置信息
     * 
     * @param id 师傅等级配置主键
     * @return 结果
     */
    public int deleteWorkerLevelById(Long id);
}
